Trading Engine
==============

The trading engine handles order execution, position management, and exchange interactions.

Trading Engine
--------------

.. automodule:: src.trading.engine
   :members:
   :undoc-members:
   :show-inheritance:

Order Manager
-------------

.. automodule:: src.trading.order_manager
   :members:
   :undoc-members:
   :show-inheritance:

Paper Trading
-------------

.. automodule:: src.trading.paper_trading
   :members:
   :undoc-members:
   :show-inheritance:

Advanced Orders
---------------

.. automodule:: src.trading.advanced_orders
   :members:
   :undoc-members:
   :show-inheritance:

Futures Trading
---------------

.. automodule:: src.trading.futures
   :members:
   :undoc-members:
   :show-inheritance:

